Subject: Layers

From: Tomas Ogren <[email-masked]>
Date: Sun, 28 Feb 1999 22:31:23 +0100

Ok.. after using layers a bit now, I have some reports about it..

It doesn't actually seem to make use of/care about the layers until
you've tried to raise/lower (non-layer raise/lower funcs) the windows.

My scenario:
Startup (in order of start/appear):
Style stuff read.
FvwmButtons        (Layer 4)
2 xterms           (Layer 5)
xconsole           (Layer 3)
FvwmPager          (Layer 6)
transp. Eterm      (Layer 0)
transp. xdaliclock (Layer 0)

After startup, the stacking order looks like this (bottom -> top):
FvwmButtons (L4)
xconsole (L3)
one of the xterms (the first started) (L5)
xdaliclock (L0)
the other xterm (second started) (L5)
FvwmPager (L6)
Eterm (L0)

After applying 'Lower' to all windows they are in the correct order.

It definately looks like all windows are actually in Layer 0 (or
something) when starting, because when I 'Lower'd one of the xterms
(that was behind the other) it actually popped UP, above the other.

After that is done, it's all great and wonderful (for those windows).
When adding new windows, they seem to end up in some random layer(?) ...
I started a new xterm, and it ended up above the fvwmpager (shouldn't
happen), and Raised the xterm. Plopp, went below the pager (as it
should).

/Tomas
-- 
Tomas Ögren, [email-masked], http://www.ing.umu.se/~stric/
|- Student of Computer Science at the University of Umeå
`- Sysadmin at {ing,acc}.umu.se
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]